Bug 1441588 - Review Request: copr-builder - build package from copr dist-git
Summary: Review Request: copr-builder - build package from copr dist-git
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1400592
Blocks: 1357562
TreeView+ depends on / blocked
 
Reported: 2017-04-12 09:35 UTC by Pavel Raiskup
Modified: 2017-11-15 20:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-27 23:25:56 UTC
msuchy: fedora-review+


Attachments (Terms of Use)

Description Pavel Raiskup 2017-04-12 09:35:58 UTC
Spec URL: https://pagure.io/copr/copr/raw/3a5848f969c319f2d82019b96fe1b5b99d336576/f/builder/copr-builder.spec
SRPM URL: https://praiskup.fedorapeople.org/reviews/packages/copr-builder/copr-builder-0-9.src.rpm
Description: Knowing copr name, package name and dist-git git hash, build automatically the package locally in mock.
Fedora Account System Username: praiskup

Comment 1 Miroslav Suchý 2017-04-26 20:56:53 UTC
Taking.

Comment 2 Miroslav Suchý 2017-04-26 21:11:24 UTC
> Summary:	Build package from copr dist-git

Should be probably "Copr".


Can you mark LICENSE as %license in %files section? I.e.:

%license LICENSE

You should add:

Requires(pre): mock

otherwise it is possible that mock group does not exist yet when %_sharedstatedir/copr-builder is being copied.


Hmm having 7 sources is little bit akward to me. But definitelly allowed by guidelines so not a blocker. Just not so usual.

copr-builder has as shebang:
#! /bin/bash
The leading space... hmm it actually works! Never seen that.

You are using /var/lib/copr-builder/{pid,results,live-log}. You should own that directories.
And lock file as %ghost.

Comment 3 Pavel Raiskup 2017-04-27 14:52:13 UTC
Spec URL: https://pagure.io/copr/copr/raw/bf1d7b1f3c61b5f2ca6573d8f4bb09b8478fc32f/f/builder/copr-builder.spec
SRPM URL: http://praiskup.fedorapeople.org/copr-builder-0-13.fc25.src.rpm

Thanks for the review.

(In reply to Miroslav Suchý from comment #2)
> You are using /var/lib/copr-builder/{pid,results,live-log}. You should
> own that directories.  And lock file as %ghost.

This is the only thing I'm not sure about, the ownership of the files is
not defined "in advance" (basically any user can create files under
/var/lib/copr-builder, if in 'mock' group); so I had to use %verify
macro && and thus %ghost doesn't give us a lot of added value.  Also, other
files under /var/lib/copr-builder are automatically created, without
pre-defined filenames.

Comment 4 Miroslav Suchý 2017-04-28 08:54:37 UTC
> thus %ghost doesn't give us a lot of added value

It give you value that `rpm -qf /var/lib/copr-builder/results` will give you hint which package is responsible for that directory.

> Also, other
> files under /var/lib/copr-builder are automatically created, without
> pre-defined filenames.

yes, but that does not mean we should give up even for filenames which we know about.

Comment 5 Miroslav Suchý 2017-04-28 10:43:04 UTC
Looks good now. Good work.

APPROVED

Comment 7 Gwyn Ciesla 2017-04-28 12:21:24 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/copr-builder

Comment 9 Fedora Update System 2017-04-28 12:56:25 UTC
copr-builder-0-13.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c4d24e2125

Comment 10 Fedora Update System 2017-04-28 12:57:35 UTC
copr-builder-0-13.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3e35771c05

Comment 11 Fedora Update System 2017-04-28 13:00:27 UTC
copr-builder-0-13.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-8e95d79227

Comment 12 Fedora Update System 2017-04-30 00:51:16 UTC
copr-builder-0-13.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-8e95d79227

Comment 13 Fedora Update System 2017-04-30 02:26:13 UTC
copr-builder-0-13.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3e35771c05

Comment 14 Fedora Update System 2017-04-30 03:52:37 UTC
copr-builder-0-13.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c4d24e2125

Comment 15 Fedora Update System 2017-05-27 23:25:56 UTC
copr-builder-0-13.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-05-28 06:00:26 UTC
copr-builder-0-13.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Sergey Avseyev 2017-11-15 11:59:56 UTC
Would be nice to have manpage for the command. Automatically generated page could be a good start

  help2man --no-discard-stderr copr-builder

Comment 18 Pavel Raiskup 2017-11-15 12:03:16 UTC
Good idea, can you submit a separate bug-report for this?  Note that
fedora copr now uses different command (copr-rpmbuild).

Comment 19 Sergey Avseyev 2017-11-15 12:06:24 UTC
I just doing testing of the package on bodhi, and I thought it make sense to report it here, while the package still waiting there.

Comment 20 Pavel Raiskup 2017-11-15 13:11:34 UTC
Thanks, I just requested push.  Sorry that it took that long.  Anyways, I plan
to update (and take care of) the package in future (since it has slightly
nicer, build-id agnostic API -- and it might be convenient for end-users) - so
any bugreport is worth it.

Note though that it is likely that even the optional support for
copr-builder will be removed from copr-backend.

Comment 21 Fedora Update System 2017-11-15 20:08:00 UTC
copr-builder-0-13.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.